Update tag
curl --request PATCH \
--url https://api.rafftechnologies.com/api/v1/tags/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"color": "blue",
"priority": 4
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/tags/{id}"
payload = {
"name": "<string>",
"color": "blue",
"priority": 4
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: 'blue', priority: 4})
};
fetch('https://api.rafftechnologies.com/api/v1/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rafftechnologies.com/api/v1/tags/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'color' => 'blue',
'priority' => 4
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rafftechnologies.com/api/v1/tags/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"color\": \"blue\",\n \"priority\": 4\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.rafftechnologies.com/api/v1/tags/{id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"color\": \"blue\",\n \"priority\": 4\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rafftechnologies.com/api/v1/tags/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"color\": \"blue\",\n \"priority\": 4\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "production",
"color": "blue",
"priority": 1,
"server_count": 4,
"firewalls": [
{
"tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tag_name": "web",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"security_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"security_group_name": "web-server"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Tags
Update tag
Rename, recolour or reprioritise a tag. The change shows on every server that has the tag. Send priority: null or priority: 0 to remove the priority.
Needs the account.tags.manage permission (account Owner and Admin by default).
PATCH
/
api
/
v1
/
tags
/
{id}
Update tag
curl --request PATCH \
--url https://api.rafftechnologies.com/api/v1/tags/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"color": "blue",
"priority": 4
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/tags/{id}"
payload = {
"name": "<string>",
"color": "blue",
"priority": 4
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: 'blue', priority: 4})
};
fetch('https://api.rafftechnologies.com/api/v1/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rafftechnologies.com/api/v1/tags/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'color' => 'blue',
'priority' => 4
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rafftechnologies.com/api/v1/tags/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"color\": \"blue\",\n \"priority\": 4\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.rafftechnologies.com/api/v1/tags/{id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"color\": \"blue\",\n \"priority\": 4\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rafftechnologies.com/api/v1/tags/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"color\": \"blue\",\n \"priority\": 4\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "production",
"color": "blue",
"priority": 1,
"server_count": 4,
"firewalls": [
{
"tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tag_name": "web",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"security_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"security_group_name": "web-server"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Updated November 10, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Path Parameters
Tag ID (UUID). Get it from the data array of GET /api/v1/tags.
Body
application/json
Send only the fields to change.
New tag name, unique per account ignoring case.
Required string length:
1 - 40Tag colour.
Available options:
gray, red, orange, amber, green, blue, violet, pink Example:
"blue"
New priority 1-9, 1 highest. null or 0 removes it.
Required range:
0 <= x <= 9Last modified on November 10, 2026